VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR:
[legend]

## Public Member Functions

| DisplayPresentInfoKHR (Rect2D srcRect_=Rect2D(), Rect2D dstRect_=Rect2D(), Bool32 persistent_=0)
| DisplayPresentInfoKHR (VkDisplayPresentInfoKHR const &rhs)
DisplayPresentInfoKHR & | operator= (VkDisplayPresentInfoKHR const &rhs)
DisplayPresentInfoKHR & | setPNext (const void *pNext_)
DisplayPresentInfoKHR & | setSrcRect (Rect2D srcRect_)
DisplayPresentInfoKHR & | setDstRect (Rect2D dstRect_)
DisplayPresentInfoKHR & | setPersistent (Bool32 persistent_)
| operator VkDisplayPresentInfoKHR const & () const
| operator VkDisplayPresentInfoKHR & ()
bool | operator== (DisplayPresentInfoKHR const &rhs) const
bool | operator!= (DisplayPresentInfoKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
Rect2D | srcRect
Rect2D | dstRect
Bool32 | persistent

## Private Attributes

StructureType | sType = StructureType::eDisplayPresentInfoKHR

## Detailed Description

Definition at line 11810 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DisplayPresentInfoKHR() [1/2]

VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::DisplayPresentInfoKHR | ( | Rect2D | srcRect_ = `Rect2D()`,
|  | Rect2D | dstRect_ = `Rect2D()`,
|  | Bool32 | persistent_ = `0`
| ) |  |

inline

Definition at line 11812 of file vulkan.hpp.

: srcRect( srcRect_ )
, dstRect( dstRect_ )
, persistent( persistent_ )
{
}

## DisplayPresentInfoKHR() [2/2]

VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::DisplayPresentInfoKHR | ( | VkDisplayPresentInfoKHR const & | rhs | ) |

inline

Definition at line 11821 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DisplayPresentInfoKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkDisplayPresentInfoKHR &()

VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::operator VkDisplayPresentInfoKHR & | ( |  | ) |

inline

Definition at line 11860 of file vulkan.hpp.

{
return *reinterpret_cast<VkDisplayPresentInfoKHR*>(this);
}

## operator VkDisplayPresentInfoKHR const &()

VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::operator VkDisplayPresentInfoKHR const & | ( |  | ) | const

inline

Definition at line 11855 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDisplayPresentInfoKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::operator!= | ( | DisplayPresentInfoKHR const & | rhs | ) | const

inline

Definition at line 11874 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DisplayPresentInfoKHR& VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::operator= | ( | VkDisplayPresentInfoKHR const & | rhs | ) |

inline

Definition at line 11826 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DisplayPresentInfoKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::operator== | ( | DisplayPresentInfoKHR const & | rhs | ) | const

inline

Definition at line 11865 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( srcRect == rhs.srcRect )
&& ( dstRect == rhs.dstRect )
&& ( persistent == rhs.persistent );
}

References dstRect, persistent, pNext, srcRect, and sType.

Referenced by operator!=().

## setDstRect()

DisplayPresentInfoKHR& VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::setDstRect | ( | Rect2D | dstRect_ | ) |

inline

Definition at line 11843 of file vulkan.hpp.

{
dstRect = dstRect_;
return *this;
}

References dstRect.

## setPersistent()

DisplayPresentInfoKHR& VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::setPersistent | ( | Bool32 | persistent_ | ) |

inline

Definition at line 11849 of file vulkan.hpp.

{
persistent = persistent_;
return *this;
}

References persistent.

## setPNext()

DisplayPresentInfoKHR& VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 11831 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSrcRect()

DisplayPresentInfoKHR& VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::setSrcRect | ( | Rect2D | srcRect_ | ) |

inline

Definition at line 11837 of file vulkan.hpp.

{
srcRect = srcRect_;
return *this;
}

References srcRect.

## Field Documentation

## dstRect

Rect2D VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::dstRect

Definition at line 11885 of file vulkan.hpp.

Referenced by operator==(), and setDstRect().

## persistent

Bool32 VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::persistent

Definition at line 11886 of file vulkan.hpp.

Referenced by operator==(), and setPersistent().

## pNext

const void* VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::pNext = nullptr

Definition at line 11883 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## srcRect

Rect2D VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::srcRect

Definition at line 11884 of file vulkan.hpp.

Referenced by operator==(), and setSrcRect().

## sType

StructureType VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::sType = StructureType::eDisplayPresentInfoKHR

private

Definition at line 11880 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::operator==
bool operator==(DisplayPresentInfoKHR const &rhs) const
Definition: vulkan.hpp:11865
VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::dstRect
Rect2D dstRect
Definition: vulkan.hpp:11885
VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::srcRect
Rect2D srcRect
Definition: vulkan.hpp:11884
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::persistent
Bool32 persistent
Definition: vulkan.hpp:11886
VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::DisplayPresentInfoKHR
DisplayPresentInfoKHR(Rect2D srcRect_=Rect2D(), Rect2D dstRect_=Rect2D(), Bool32 persistent_=0)
Definition: vulkan.hpp:11812
VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::sType
StructureType sType
Definition: vulkan.hpp:11880
VkDisplayPresentInfoKHR
Definition: vulkan_core.h:5080
VULKAN_HPP_NAMESPACE::DisplayPresentInfoKHR::pNext
const void * pNext
Definition: vulkan.hpp:11883